// 核心设备报表 接口
import httputils from '@/api/httputils'
/**
 * 系统列表
 */
export function querySystemList() {
    return httputils.getJson(`/data/sms_systemcfg/querySmsxt`)
}
/**
 * 系统下的设备
 * @param { 接口地址 } url
 * @param { 接口参数 } getParams
 */
export function queryEquipmentList(url, getParams) {
    return httputils.getJson(url, getParams)
}
/**
 * 表数据
 */
export function queryTableData(url, postParams) {
    return httputils.postJson(url, postParams)
}

/**
 * 设备台账下所有历史事项信息
 * @param { 接口地址 } url
 * @param { 接口参数 } getParams
 */
export function queryHistoryTableData(url, getParams) {
    return httputils.getJson(url, getParams)
}

/**
 * 获取图片/报告详情
 * @param { 接口地址 } url
 * @param { 接口参数 } getParams
 */
export function queryDetailData(url, getParams) {
    return httputils.getJson(url, getParams)
}
