import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        ssoToken: 'admin:liujiandong',
        appTitle: '管理说明书', //顶部标题
        // ssoToken: null,
    },
    getters: {
        ssoToken: (state) => state.ssoToken,
        appTitle: (state) => state.appTitle,
    },
    mutations: {
        SETSSOTOKEN(state, data) {
            state.ssoToken = data
        },
        SETAPPTITLE(state, data) {
            state.appTitle = data
        },
    },
    actions: {},
    modules: {},
})
