import httputils from '@/api/httputils'

// 查询首页系统卡片
export function getCardList({ getParams }) {
    return httputils.getJson(`/data/home/querySystemCard`, getParams)
}

// 综合事项记录
export function getQueryList({ getParams }) {
    return httputils.getJson(`/data/sms_zhsxjl/query`, getParams)
}

// 说明书变更记录
export function getChangeList({ getParams }) {
    return httputils.getJson(`/data/rpt_change_record/query`, getParams)
}

// ==================== 集团首页接口 =======================
// 查询项目信息统计数量
export function getPlazaInfoCount({ getParams }) {
    return httputils.getJson(`/data/home/queryPlazaInfoCount`, getParams)
}

// 查询首页系统卡片
export function querySystemCard({ getParams }) {
    return httputils.getJson(`/data/home/querySystemCard`, getParams)
}

// 查询集团首页事项状态统计
export function queryEventStatus({ getParams }) {
    return httputils.getJson(`/data/home/queryEventStatus`, getParams)
}
